var userId = $('#userId').val();
var personaId = $('#personaId').val();
$(document).ready(function () {
    combo_resPais();
    combo_resProvincia();
    combo_procProvincia();
    combo_Canton();    
    combo_tipoIdentificacion();
    combo_sexoId();
    combo_generoId();
    combo_estadoCivilId();
    combo_etniaId();
    combo_puebloNacionalidadId();
    combo_tipoSangre();
    combo_tipoColegioId();
    combo_otroTitulo();
    combo_nivel();
    combo_otraCarrera();
    combo_discapacidadId();
    combo_tipoDiscapacidadId();
    $.post("../../controller/usuario.php?op=consultar_usuario", {userId: userId}, function (data) {
        data = JSON.parse(data);
        $('#nickname').val(data.nickname);
        $('#tipoDocumentoId').val(data.tipoDocumentoId).trigger("change");
        $('#identificacion').val(data.identificacion);
        $('#pnombre').val(data.pnombre);
        $('#snombre').val(data.snombre);
        $('#papellido').val(data.papellido);
        $('#sapellido').val(data.sapellido);
        $('#sexoId').val(data.sexoId).trigger("change");
        $('#generoId').val(data.generoId).trigger("change");
        $('#estadoCivilId').val(data.estadoCivilId).trigger("change");
        $('#etniaId').val(data.etniaId).trigger("change");
        $('#puebloNacionalidadId').val(data.puebloNacionalidadId).trigger("change");
        $('#tipoSangre').val(data.tipoSangre).trigger("change");
        $('#lugarNacimiento').val(data.lugarNacimiento);
        $('#fechaNacimiento').val(data.fechaNacimiento);
        $('#nacionalidad').val(data.nacionalidad);
        $('#email').val(data.email);
        $('#emailInstitucional').val(data.emailInstitucional);
        $('#numcel').val(data.numcel);
        $('#contactoEmergencia').val(data.contactoEmergencia);
        $('#telefonoContactoEmergencia').val(data.telefonoContactoEmergencia);
        $('#tipoColegioId').val(data.tipoColegioId);
        $('#colegioProviene').val(data.colegioProviene);
        $('#ubicacionColegio').val(data.ubicacionColegio);
        $('#tituloBachillerato').val(data.tituloBachillerato);
        $('#anioGraduacion').val(data.anioGraduacion);
        $('#notaBachillerato').val(data.notaBachillerato);
        $('#otroTitulo').val(data.otroTitulo);
        $('#nivel').val(data.nivel);
        $('#otraCarrera').val(data.otraCarrera);
        $('#otraInstitucion').val(data.otraInstitucion);
        $('#discapacidadId').val(data.discapacidadId);
        $('#porcentajeDiscapacidad').val(data.porcentajeDiscapacidad);
        $('#numCarnetConadis').val(data.numCarnetConadis);
        $('#tipoDiscapacidadId').val(data.tipoDiscapacidadId);
        $('#res_pais').val(data.res_pais);
        $('#res_parroquia').val(data.res_parroquia);
        $('#res_barrio').val(data.res_barrio);
        $('#res_zona').val(data.res_zona);
        $('#res_direccion').val(data.res_direccion);
        $('#res_telefono').val(data.res_telefono);
        $('#proc_pais').val(data.proc_pais);
        $('#proc_parroquia').val(data.proc_parroquia);
        $('#proc_barrio').val(data.proc_barrio);
        $('#proc_zona').val(data.proc_zona);
        $('#proc_direccion').val(data.proc_direccion);

        if ($('#res_pais').val() == 56) {
            $('#res_provincia').val(data.res_provincia);
            $('#res_canton').val(data.res_canton);
            $('#res_provinciatxt').hide();
            $('#res_cantontxt').hide();
        } else {
            $('#res_provinciatxt').val(data.res_provincia);
            $('#res_cantontxt').val(data.res_canton);
            $('#res_provincia').hide();
            $('#res_canton').hide();
        }        
        if ($('#proc_pais').val() == 56) {
            $('#proc_provincia').val(data.proc_provincia);
            $('#proc_canton').val(data.proc_canton);
            $('#proc_provinciatxt').hide();
            $('#proc_cantontxt').hide();
        } else {
            $('#proc_provinciatxt').val(data.proc_provincia);
            $('#proc_cantontxt').val(data.proc_canton);
            $('#proc_provincia').hide();
            $('#proc_canton').hide();
        }
        if ($("#otroTitulo").val() == "76") {
            $("#nivel").removeAttr('disabled');
        } else {
            $("#nivel").val(82);
            $("#nivel").prop('disabled', 'disabled');
        }
        if ($("#otraCarrera").val() == "76") {
            $("#otraInstitucion").removeAttr('disabled');
        } else {
            $("#otraInstitucion").val("NA");
            $("#otraInstitucion").prop('disabled', 'disabled');
        }

        if ($("#discapacidadId").val() == "76") {
            $("#porcentajeDiscapacidad").removeAttr('disabled');
            $("#numCarnetConadis").removeAttr('disabled');
            $("#tipoDiscapacidadId").removeAttr('disabled');
        } else {
            $("#porcentajeDiscapacidad").val("0");
            $("#numCarnetConadis").val("NA")
            $("#tipoDiscapacidadId").val(89);
            $("#porcentajeDiscapacidad").prop('disabled', 'disabled');
            $("#numCarnetConadis").prop('disabled', 'disabled');
            $("#tipoDiscapacidadId").prop('disabled', 'disabled');
        }
    });

});
$("#etniaId").change(function () {
    if ($("#etniaId").val() == "18") {
        $("#puebloNacionalidadId").removeAttr('disabled');
    } else {
        $("#puebloNacionalidadId").val(60);
        $("#puebloNacionalidadId").prop('disabled', 'disabled');
    }
})
$("#discapacidadId").change(function () {
    if ($("#discapacidadId").val() == "76") {
        $("#porcentajeDiscapacidad").removeAttr('disabled');
        $("#numCarnetConadis").removeAttr('disabled');
        $("#tipoDiscapacidadId").removeAttr('disabled');
    } else {
        $("#porcentajeDiscapacidad").val("0");
        $("#numCarnetConadis").val("NA")
        $("#tipoDiscapacidadId").val(89);
        $("#porcentajeDiscapacidad").prop('disabled', 'disabled');
        $("#numCarnetConadis").prop('disabled', 'disabled');
        $("#tipoDiscapacidadId").prop('disabled', 'disabled');
    }
})
$("#res_pais").change(function () {
    $("#res_pais option:selected").each(function () {
        pais_id = $(this).val();
        if (pais_id == 56) {
            $("#res_provincia").removeAttr('disabled');
            $("#res_provincia").show();
            $("#res_provinciatxt").hide();
            $("#res_cantontxt").hide();
            $("#res_canton").show();
            combo_resProvincia();
        } else {
            $("#res_provincia").hide();
            $("#res_provinciatxt").show();
            $("#res_canton").hide();
            $("#res_cantontxt").show();
            $("#res_provinciatxt").removeAttr('disabled');
            $("#res_cantontxt").removeAttr('disabled');
        }
    })
})

$("#res_provincia").change(function () {
    $("#res_provincia option:selected").each(function () {
        prov_id = $(this).val();
        $("#res_canton").removeAttr('disabled');
        combo_resCanton();
    })
})

$("#proc_pais").change(function () {
    $("#proc_pais option:selected").each(function () {
        pais_id = $(this).val();
        if (pais_id == 56) {
            $("#proc_provincia").removeAttr('disabled');
            $("#proc_provincia").show();
            $("#proc_provinciatxt").hide();
            $("#proc_cantontxt").hide();
            $("#proc_canton").show();
            combo_procProvincia();
        } else {
            $("#proc_provincia").hide();
            $("#proc_provinciatxt").show();
            $("#proc_canton").hide();
            $("#proc_cantontxt").show();
            $("#proc_provinciatxt").removeAttr('disabled');
            $("#proc_cantontxt").removeAttr('disabled');
        }
    })
})

$("#proc_provincia").change(function () {
    $("#proc_provincia option:selected").each(function () {
        prov_id = $(this).val();
        $("#proc_canton").removeAttr('disabled');
        combo_procCanton();
    })
})

$("#otroTitulo").change(function () {
    if ($("#otroTitulo").val() == "76") {
        $("#nivel").removeAttr('disabled');
    } else {
        $("#nivel").val(82);
        $("#nivel").prop('disabled', 'disabled');
    }
})
$("#otraCarrera").change(function () {
    if ($("#otraCarrera").val() == "76") {
        $("#otraInstitucion").removeAttr('disabled');
    } else {
        $("#otraInstitucion").val("NA");
        $("#otraInstitucion").prop('disabled', 'disabled');
    }
})
function combo_resPais() {
    $.post("../../controller/pais.php?op=combo", function (data) {
        $('#res_pais').html(data);
        $('#proc_pais').html(data);
    });
}
function combo_tipoIdentificacion() {
    $.post("../../controller/catalogo.php?op=tipoIdentificacion", function (data) {
        $('#tipoDocumentoId').html(data);
    });
}
function combo_sexoId() {
    $.post("../../controller/catalogo.php?op=sexo", function (data) {
        $('#sexoId').html(data);
    });
}
function combo_generoId() {
    $.post("../../controller/catalogo.php?op=genero", function (data) {
        $('#generoId').html(data);
    });
}
function combo_estadoCivilId() {
    $.post("../../controller/catalogo.php?op=estadoCivil", function (data) {
        $('#estadoCivilId').html(data);
    });
}
function combo_etniaId() {
    $.post("../../controller/catalogo.php?op=etnia", function (data) {
        $('#etniaId').html(data);
    });
}
function combo_puebloNacionalidadId() {
    $.post("../../controller/catalogo.php?op=puebloNacionalidad", function (data) {
        $('#puebloNacionalidadId').html(data);
    });
}
function combo_tipoSangre() {
    $.post("../../controller/catalogo.php?op=sangre", function (data) {
        $('#tipoSangre').html(data);
    });
}
function combo_tipoColegioId() {
    $.post("../../controller/catalogo.php?op=tipoColegio", function (data) {
        $('#tipoColegioId').html(data);
    });
}
function combo_otroTitulo() {
    $.post("../../controller/catalogo.php?op=otroTitulo", function (data) {
        $('#otroTitulo').html(data);
    });
}
function combo_nivel() {
    $.post("../../controller/catalogo.php?op=nivel", function (data) {
        $('#nivel').html(data);
    });
}
function combo_otraCarrera() {
    $.post("../../controller/catalogo.php?op=otraCarrera", function (data) {
        $('#otraCarrera').html(data);
    });
}
function combo_discapacidadId() {
    $.post("../../controller/catalogo.php?op=discapacidadId", function (data) {
        $('#discapacidadId').html(data);
    });
}
function combo_tipoDiscapacidadId() {
    $.post("../../controller/catalogo.php?op=tipoDiscapacidadId", function (data) {
        $('#tipoDiscapacidadId').html(data);
    });
}
function combo_provincia() {
    $.post("../../controller/provincia.php?op=combo", {pais_id: pais_id}, function (data) {
        $('#provinciaNacimiento').html(data);
    });
}
function combo_canton() {
    $.post("../../controller/canton.php?op=combo", {prov_id: prov_id}, function (data) {
        $('#cantonNacimiento').html(data);
    });
}
function combo_resProvincia() {
    $.post("../../controller/provincia.php?op=combo", {pais_id: 56}, function (data) {
        $('#res_provincia').html(data);
    });
}
function combo_procProvincia() {
    $.post("../../controller/provincia.php?op=combo", {pais_id: 56}, function (data) {
        $('#proc_provincia').html(data);
    });
}
function combo_resCanton() {
    $.post("../../controller/canton.php?op=combo", {prov_id: $('#res_provincia').val()}, function (data) {
        $('#res_canton').html(data);        
    });
}
function combo_procCanton() {
    $.post("../../controller/canton.php?op=combo", {prov_id: $('#proc_provincia').val()}, function (data) {
        $('#proc_canton').html(data);        
    });
}
function combo_Canton() {
    $.post("../../controller/canton.php?op=comboCanton", function (data) {
        $('#res_canton').html(data);
        $('#proc_canton').html(data);
    });
}

$(document).on("click", "#btnActualizarUsuario", function () {
    $.post("../../controller/usuario.php?op=actualizar_clave", {
        usuariodbk: userId,
        clave: $('#clave').val()
    }, function (data) {
    });
    Swal.fire({
        title: 'Registro Actualizado',
        text: 'Su clave ha sido actualizada',
        icon: 'success',
        confirmButtonText: 'Aceptar'
    })
});
$(document).on("click", "#btnActualizarPersonal", function () {
    var validaform = 0;
    var tipoDocumentoId = $('#tipoDocumentoId').val();
    var identificacion = $('#identificacion').val();
    var pnombre = $('#pnombre').val();
    var snombre = $('#snombre').val();
    var papellido = $('#papellido').val();
    var sapellido = $('#sapellido').val();
    var sexoId = $('#sexoId').val();
    var generoId = $('#generoId').val();
    var estadoCivilId = $('#estadoCivilId').val();
    var etniaId = $('#etniaId').val();
    var puebloNacionalidadId = $('#puebloNacionalidadId').val();
    var tipoSangre = $('#tipoSangre').val();
    var lugarNacimiento = $('#lugarNacimiento').val();
    var fechaNacimiento = $('#fechaNacimiento').val();
    var nacionalidad = $('#nacionalidad').val();
    var email = $('#email').val();
    var emailInstitucional = $('#emailInstitucional').val();
    var numcel = $('#numcel').val();
    var contactoEmergencia = $('#contactoEmergencia').val();
    var telefonoContactoEmergencia = $('#telefonoContactoEmergencia').val();

    if (tipoDocumentoId == "" || tipoDocumentoId == null) {
        $('#invalid-tipoDocumentoId').show();
        $('#valid-tipoDocumentoId').hide();
        validaform++;
    } else {
        $('#invalid-tipoDocumentoId').hide();
        $('#valid-tipoDocumentoId').show();
    }
    if (identificacion.length == 0) {
        $('#invalid-identificacion').show();
        $('#valid-identificacion').hide();
        validaform++;
    } else {
        $('#invalid-identificacion').hide();
        $('#valid-identificacion').show();
    }
    if (pnombre.length == 0) {
        $('#invalid-pnombre').show();
        $('#valid-pnombre').hide();
        validaform++;
    } else {
        $('#invalid-pnombre').hide();
        $('#valid-pnombre').show();
    }
    if (snombre.length == 0) {
        $('#invalid-snombre').show();
        $('#valid-snombre').hide();
        validaform++;
    } else {
        $('#invalid-snombre').hide();
        $('#valid-snombre').show();
    }
    if (papellido.length == 0) {
        $('#invalid-papellido').show();
        $('#valid-papellido').hide();
        validaform++;
    } else {
        $('#invalid-papellido').hide();
        $('#valid-papellido').show();
    }
    if (sapellido.length == 0) {
        $('#invalid-sapellido').show();
        $('#valid-sapellido').hide();
        validaform++;
    } else {
        $('#invalid-sapellido').hide();
        $('#valid-sapellido').show();
    }
    if (sexoId == "" || sexoId == null) {
        $('#invalid-sexoId').show();
        $('#valid-sexoId').hide();
        validaform++;
    } else {
        $('#invalid-sexoId').hide();
        $('#valid-sexoId').show();
    }
    if (generoId == "" || generoId == null) {
        $('#invalid-generoId').show();
        $('#valid-generoId').hide();
        validaform++;
    } else {
        $('#invalid-generoId').hide();
        $('#valid-generoId').show();
    }
    if (estadoCivilId == "" || estadoCivilId == null) {
        $('#invalid-estadoCivilId').show();
        $('#valid-estadoCivilId').hide();
        validaform++;
    } else {
        $('#invalid-estadoCivilId').hide();
        $('#valid-estadoCivilId').show();
    }
    if (etniaId == "" || etniaId == null) {
        $('#invalid-etniaId').show();
        $('#valid-etniaId').hide();
        validaform++;
    } else {
        $('#invalid-etniaId').hide();
        $('#valid-etniaId').show();
    }
    if (puebloNacionalidadId == "" || puebloNacionalidadId == null) {
        $('#invalid-puebloNacionalidadId').show();
        $('#valid-puebloNacionalidadId').hide();
        validaform++;
    } else {
        $('#invalid-puebloNacionalidadId').hide();
        $('#valid-puebloNacionalidadId').show();
    }
    if (tipoSangre == "" || tipoSangre == null) {
        $('#invalid-tipoSangre').show();
        $('#valid-tipoSangre').hide();
        validaform++;
    } else {
        $('#invalid-tipoSangre').hide();
        $('#valid-tipoSangre').show();
    }
    if (lugarNacimiento.length == 0) {
        $('#invalid-lugarNacimiento').show();
        $('#valid-lugarNacimiento').hide();
        validaform++;
    } else {
        $('#invalid-lugarNacimiento').hide();
        $('#valid-lugarNacimiento').show();
    }
    if (fechaNacimiento.length == 0 || fechaNacimiento == "1900-01-01" || fechaNacimiento == "aaaa-mm-dd" || fechaNacimiento == "0000-00-00") {
        $('#invalid-fechaNacimiento').show();
        $('#valid-fechaNacimiento').hide();
        validaform++;
    } else {
        $('#invalid-fechaNacimiento').hide();
        $('#valid-fechaNacimiento').show();
    }
    if (nacionalidad.length == 0) {
        $('#invalid-nacionalidad').show();
        $('#valid-nacionalidad').hide();
        validaform++;
    } else {
        $('#invalid-nacionalidad').hide();
        $('#valid-nacionalidad').show();
    }
    if (email.length == 0) {
        validaform++;
        $('#invalid-email').show();
        $('#valid-email').hide();

    } else {
        expr = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
        if (!expr.test(email)) {
            validaform++;
            $('#invalid-email').show();
            $('#valid-email').hide();
        } else {
            $('#invalid-email').hide();
            $('#valid-email').show();
        }
    }
    if (emailInstitucional.length == 0) {
        validaform++;
        $('#invalid-emailInstitucional').show();
        $('#valid-emailInstitucional').hide();

    } else {
        expr = /^([a-zA-Z0-9_\.\-])+\@(([cemlad])+\.)+([edu.ec])+$/;
        if (!expr.test(emailInstitucional)) {
            validaform++;
            $('#invalid-emailInstitucional').show();
            $('#valid-emailInstitucional').hide();
        } else {
            $('#invalid-emailInstitucional').hide();
            $('#valid-emailInstitucional').show();
        }
    }
    if (numcel.length < 10) {
        $('#invalid-numcel').show();
        $('#valid-numcel').hide();
        validaform++;
    } else {
        $('#invalid-numcel').hide();
        $('#valid-numcel').show();
    }
    if (contactoEmergencia.length == 0) {
        $('#invalid-contactoEmergencia').show();
        $('#valid-contactoEmergencia').hide();
        validaform++;
    } else {
        $('#invalid-contactoEmergencia').hide();
        $('#valid-contactoEmergencia').show();
    }
    if (telefonoContactoEmergencia.length == 0) {
        $('#invalid-telefonoContactoEmergencia').show();
        $('#valid-telefonoContactoEmergencia').hide();
        validaform++;
    } else {
        $('#invalid-telefonoContactoEmergencia').hide();
        $('#valid-telefonoContactoEmergencia').show();
    }
    if (validaform == 0) {
        $.post("../../controller/persona.php?op=actualizar_personal", {
            personadbk: personaId,
            tipoDocumentoId: $('#tipoDocumentoId').val(),
            identificacion: $('#identificacion').val(),
            pnombre: $('#pnombre').val(),
            snombre: $('#snombre').val(),
            papellido: $('#papellido').val(),
            sapellido: $('#sapellido').val(),
            sexoId: $('#sexoId').val(),
            generoId: $('#generoId').val(),
            estadoCivilId: $('#estadoCivilId').val(),
            etniaId: $('#etniaId').val(),
            puebloNacionalidadId: $('#puebloNacionalidadId').val(),
            tipoSangre: $('#tipoSangre').val(),
            lugarNacimiento: $('#lugarNacimiento').val(),
            fechaNacimiento: $('#fechaNacimiento').val(),
            nacionalidad: $('#nacionalidad').val(),
            email: $('#email').val(),
            emailInstitucional: $('#emailInstitucional').val(),
            numcel: $('#numcel').val(),
            contactoEmergencia: $('#contactoEmergencia').val(),
            telefonoContactoEmergencia: $('#telefonoContactoEmergencia').val()
        }, function (data) {

        });
        Swal.fire({
            title: 'Registro Actualizado',
            text: 'Sus datos Personales han sido actualizados',
            icon: 'success',
            confirmButtonText: 'Aceptar'
        })
    }
});
$(document).on("click", "#btnActualizarAcademico", function () {
    var validaform = 0;
    var tipoColegioId = $('#tipoColegioId').val();
    var colegioProviene = $('#colegioProviene').val();
    var ubicacionColegio = $('#ubicacionColegio').val();
    var tituloBachillerato = $('#tituloBachillerato').val();
    var anioGraduacion = $('#anioGraduacion').val();
    var notaBachillerato = $('#notaBachillerato').val();
    var otroTitulo = $('#otroTitulo').val();
    var nivel = $('#nivel').val();
    var otraCarrera = $('#otraCarrera').val();
    var otraInstitucion = $('#otraInstitucion').val();

    if (tipoColegioId == "" || tipoColegioId == null) {
        $('#invalid-tipoColegioId').show();
        $('#valid-tipoColegioId').hide();
        validaform++;
    } else {
        $('#invalid-tipoColegioId').hide();
        $('#valid-tipoColegioId').show();
    }
    if (colegioProviene.length == 0) {
        $('#invalid-colegioProviene').show();
        $('#valid-colegioProviene').hide();
        validaform++;
    } else {
        $('#invalid-colegioProviene').hide();
        $('#valid-colegioProviene').show();
    }
    if (ubicacionColegio.length == 0) {
        $('#invalid-ubicacionColegio').show();
        $('#valid-ubicacionColegio').hide();
        validaform++;
    } else {
        $('#invalid-ubicacionColegio').hide();
        $('#valid-ubicacionColegio').show();
    }
    if (tituloBachillerato.length == 0) {
        $('#invalid-tituloBachillerato').show();
        $('#valid-tituloBachillerato').hide();
        validaform++;
    } else {
        $('#invalid-tituloBachillerato').hide();
        $('#valid-tituloBachillerato').show();
    }
    if (anioGraduacion == 0 || anioGraduacion == "") {
        $('#invalid-anioGraduacion').show();
        $('#valid-anioGraduacion').hide();
        validaform++;
    } else {
        $('#invalid-anioGraduacion').hide();
        $('#valid-anioGraduacion').show();
    }
    if (notaBachillerato == 0 || notaBachillerato == "") {
        $('#invalid-notaBachillerato').show();
        $('#valid-notaBachillerato').hide();
        validaform++;
    } else {
        $('#invalid-notaBachillerato').hide();
        $('#valid-notaBachillerato').show();
    }
    if (otroTitulo == "" || otroTitulo == null) {
        $('#invalid-otroTitulo').show();
        $('#valid-otroTitulo').hide();
        validaform++;
    } else {
        $('#invalid-otroTitulo').hide();
        $('#valid-otroTitulo').show();
    }
    if (nivel == "" || nivel == null) {
        $('#invalid-nivel').show();
        $('#valid-nivel').hide();
        validaform++;
    } else {
        $('#invalid-nivel').hide();
        $('#valid-nivel').show();
    }
    if (otraCarrera == "" || otraCarrera == null) {
        $('#invalid-otraCarrera').show();
        $('#valid-otraCarrera').hide();
        validaform++;
    } else {
        $('#invalid-otraCarrera').hide();
        $('#valid-otraCarrera').show();
    }
    if (otraInstitucion.length == 0) {
        $('#invalid-otraInstitucion').show();
        $('#valid-otraInstitucion').hide();
        validaform++;
    } else {
        $('#invalid-otraInstitucion').hide();
        $('#valid-otraInstitucion').show();
    }
    if (validaform == 0) {
        $.post("../../controller/academico.php?op=insertarActualizar", {
            personadbk: personaId,
            tipoColegioId: $('#tipoColegioId').val(),
            colegioProviene: $('#colegioProviene').val(),
            ubicacionColegio: $('#ubicacionColegio').val(),
            tituloBachillerato: $('#tituloBachillerato').val(),
            anioGraduacion: $('#anioGraduacion').val(),
            notaBachillerato: $('#notaBachillerato').val(),
            otroTitulo: $('#otroTitulo').val(),
            otraCarrera: $('#otraCarrera').val(),
            nivel: $('#nivel').val(),
            otraInstitucion: $('#otraInstitucion').val()

        }, function (data) {

        });
        Swal.fire({
            title: 'Registro Actualizado',
            text: 'Su información Académica ha sido actualizada',
            icon: 'success',
            confirmButtonText: 'Aceptar'
        })
    }
});
$(document).on("click", "#btnActualizarDiscapacidad", function () {
    var validaform = 0;
    var discapacidadId = $('#discapacidadId').val();
    var porcentajeDiscapacidad = $('#porcentajeDiscapacidad').val();
    var numCarnetConadis = $('#numCarnetConadis').val();
    var tipoDiscapacidadId = $('#tipoDiscapacidadId').val();

    if (discapacidadId == "" || discapacidadId == null) {
        $('#invalid-discapacidadId').show();
        $('#valid-discapacidadId').hide();
        validaform++;
    } else {
        $('#invalid-discapacidadId').hide();
        $('#valid-discapacidadId').show();
    }
    if ((discapacidadId == 76 && porcentajeDiscapacidad == 0)) {
        $('#invalid-porcentajeDiscapacidad').show();
        $('#valid-porcentajeDiscapacidad').hide();
        validaform++;
    } else {
        $('#invalid-porcentajeDiscapacidad').hide();
        $('#valid-porcentajeDiscapacidad').show();
    }
    if ((discapacidadId == 76 && numCarnetConadis == "NA") || (discapacidadId == 76 && numCarnetConadis.length < 7)) {
        $('#invalid-numCarnetConadis').show();
        $('#valid-numCarnetConadis').hide();
        validaform++;
    } else {
        $('#invalid-numCarnetConadis').hide();
        $('#valid-numCarnetConadis').show();
    }
    if ((discapacidadId == 76 && tipoDiscapacidadId == 89) || (discapacidadId == 76 && tipoDiscapacidadId == null)) {
        $('#invalid-tipoDiscapacidadId').show();
        $('#valid-tipoDiscapacidadId').hide();
        validaform++;
    } else {
        $('#invalid-tipoDiscapacidadId').hide();
        $('#valid-tipoDiscapacidadId').show();
    }
    if (validaform == 0) {
        $.post("../../controller/discapacidad.php?op=insertarActualizar", {
            personadbk: personaId,
            discapacidadId: $('#discapacidadId').val(),
            porcentajeDiscapacidad: $('#porcentajeDiscapacidad').val(),
            numCarnetConadis: $('#numCarnetConadis').val(),
            tipoDiscapacidadId: $('#tipoDiscapacidadId').val()
        }, function (data) {

        });
        Swal.fire({
            title: 'Registro Actualizado',
            text: 'Su información sobre la Discapacidad ha sido actualizada',
            icon: 'success',
            confirmButtonText: 'Aceptar'
        })
    }
});

$(document).on("click", "#btnActualizarResidencia", function () {
    var validaform = 0;
    var res_pais = $('#res_pais').val();
    var res_provincia = $('#res_provincia').val();
    var res_provinciatxt = $('#res_provinciatxt').val();
    var res_canton = $('#res_canton').val();
    var res_cantontxt = $('#res_cantontxt').val();
    var res_parroquia = $('#res_parroquia').val();
    var res_barrio = $('#res_barrio').val();
    var res_zona = $('#res_zona').val();
    var res_direccion = $('#res_direccion').val();
    var res_telefono = $('#res_telefono').val();

    if (res_pais == "" || res_pais == null) {
        $('#invalid-res_pais').show();
        $('#valid-res_pais').hide();
        validaform++;
    } else {
        $('#invalid-res_pais').hide();
        $('#valid-res_pais').show();
    }
    if (res_pais == 56) {
        if (res_provincia == "" || res_provincia == null) {
            $('#invalid-res_provincia').show();
            $('#valid-res_provincia').hide();
            validaform++;
        } else {
            $('#invalid-res_provincia').hide();
            $('#valid-res_provincia').show();
        }
        if (res_canton == "" || res_canton == null) {
            $('#invalid-res_canton').show();
            $('#valid-res_canton').hide();
            validaform++;
        } else {
            $('#invalid-res_canton').hide();
            $('#valid-res_canton').show();
        }
    } else {
        if (res_provinciatxt.length == 0 || res_provinciatxt == "NA") {
            $('#invalid-res_provincia').show();
            $('#valid-res_provincia').hide();
            validaform++;
        } else {
            $('#invalid-res_provincia').hide();
            $('#valid-res_provincia').show();
        }
        if (res_cantontxt.length == 0 || res_cantontxt == "NA") {
            $('#invalid-res_canton').show();
            $('#valid-res_canton').hide();
            validaform++;
        } else {
            $('#invalid-res_canton').hide();
            $('#valid-res_canton').show();
        }
    }
    if (res_parroquia.length == 0 || res_parroquia == "NA") {
        $('#invalid-res_parroquia').show();
        $('#valid-res_parroquia').hide();
        validaform++;
    } else {
        $('#invalid-res_parroquia').hide();
        $('#valid-res_parroquia').show();
    }
    if (res_barrio.length == 0 || res_barrio == "NA") {
        $('#invalid-res_barrio').show();
        $('#valid-res_barrio').hide();
        validaform++;
    } else {
        $('#invalid-res_barrio').hide();
        $('#valid-res_barrio').show();
    }
    if (res_zona.length == 0 || res_zona == "NA") {
        $('#invalid-res_zona').show();
        $('#valid-res_zona').hide();
        validaform++;
    } else {
        $('#invalid-res_zona').hide();
        $('#valid-res_zona').show();
    }
    if (res_direccion.length == 0 || res_direccion == "NA") {
        $('#invalid-res_direccion').show();
        $('#valid-res_direccion').hide();
        validaform++;
    } else {
        $('#invalid-res_direccion').hide();
        $('#valid-res_direccion').show();
    } 
    if (res_telefono.length == 0 || res_telefono == "NA") {
        $('#invalid-res_telefono').show();
        $('#valid-res_telefono').hide();
        validaform++;
    } else {
        $('#invalid-res_telefono').hide();
        $('#valid-res_telefono').show();
    }     
    if (validaform == 0) {
        $.post("../../controller/residencia.php?op=insertarActualizar", {
            personadbk: personaId,
            res_pais: $('#res_pais').val(),
            res_provincia: $('#res_provincia').val(),
            res_provinciatxt: $('#res_provinciatxt').val(),
            res_canton: $('#res_canton').val(),
            res_cantontxt: $('#res_cantontxt').val(),
            res_parroquia: $('#res_parroquia').val(),
            res_barrio: $('#res_barrio').val(),
            res_zona: $('#res_zona').val(),
            res_direccion: $('#res_direccion').val(),
            res_telefono: $('#res_telefono').val()
        }, function (data) {

        });
        Swal.fire({
            title: 'Registro Actualizado',
            text: 'Su información sobre su Residencia ha sido actualizada',
            icon: 'success',
            confirmButtonText: 'Aceptar'
        })
    }
});

$(document).on("click", "#btnActualizarProcedencia", function () {
    var validaform = 0;
    var proc_pais = $('#proc_pais').val();
    var proc_provincia = $('#proc_provincia').val();
    var proc_provinciatxt = $('#proc_provinciatxt').val();
    var proc_canton = $('#proc_canton').val();
    var proc_cantontxt = $('#proc_cantontxt').val();
    var proc_parroquia = $('#proc_parroquia').val();
    var proc_barrio = $('#proc_barrio').val();
    var proc_zona = $('#proc_zona').val();
    var proc_direccion = $('#proc_direccion').val();

    if (proc_pais == "" || proc_pais == null) {
        $('#invalid-proc_pais').show();
        $('#valid-proc_pais').hide();
        validaform++;
    } else {
        $('#invalid-proc_pais').hide();
        $('#valid-proc_pais').show();
    }
    if (proc_pais == 56) {
        if (proc_provincia == "" || proc_provincia == null) {
            $('#invalid-proc_provincia').show();
            $('#valid-proc_provincia').hide();
            validaform++;
        } else {
            $('#invalid-proc_provincia').hide();
            $('#valid-proc_provincia').show();
        }
        if (proc_canton == "" || proc_canton == null) {
            $('#invalid-proc_canton').show();
            $('#valid-proc_canton').hide();
            validaform++;
        } else {
            $('#invalid-proc_canton').hide();
            $('#valid-proc_canton').show();
        }
    } else {
        if (proc_provinciatxt.length == 0 || proc_provinciatxt == "NA") {
            $('#invalid-proc_provincia').show();
            $('#valid-proc_provincia').hide();
            validaform++;
        } else {
            $('#invalid-proc_provincia').hide();
            $('#valid-proc_provincia').show();
        }
        if (proc_cantontxt.length == 0 || proc_cantontxt == "NA") {
            $('#invalid-proc_canton').show();
            $('#valid-proc_canton').hide();
            validaform++;
        } else {
            $('#invalid-proc_canton').hide();
            $('#valid-proc_canton').show();
        }
    }
    if (proc_parroquia.length == 0 || proc_parroquia == "NA") {
        $('#invalid-proc_parroquia').show();
        $('#valid-proc_parroquia').hide();
        validaform++;
    } else {
        $('#invalid-proc_parroquia').hide();
        $('#valid-proc_parroquia').show();
    }
    if (proc_barrio.length == 0 || proc_barrio == "NA") {
        $('#invalid-proc_barrio').show();
        $('#valid-proc_barrio').hide();
        validaform++;
    } else {
        $('#invalid-proc_barrio').hide();
        $('#valid-proc_barrio').show();
    }
    if (proc_zona.length == 0 || proc_zona == "NA") {
        $('#invalid-proc_zona').show();
        $('#valid-proc_zona').hide();
        validaform++;
    } else {
        $('#invalid-proc_zona').hide();
        $('#valid-proc_zona').show();
    }
    if (proc_direccion.length == 0 || proc_direccion == "NA") {
        $('#invalid-proc_direccion').show();
        $('#valid-proc_direccion').hide();
        validaform++;
    } else {
        $('#invalid-proc_direccion').hide();
        $('#valid-proc_direccion').show();
    }     
    if (validaform == 0) {
        $.post("../../controller/procedencia.php?op=insertarActualizar", {
            personadbk: personaId,
            proc_pais: $('#proc_pais').val(),
            proc_provincia: $('#proc_provincia').val(),
            proc_provinciatxt: $('#proc_provinciatxt').val(),
            proc_canton: $('#proc_canton').val(),
            proc_cantontxt: $('#proc_cantontxt').val(),
            proc_parroquia: $('#proc_parroquia').val(),
            proc_barrio: $('#proc_barrio').val(),
            proc_zona: $('#proc_zona').val(),
            proc_direccion: $('#proc_direccion').val()
        }, function (data) {

        });
        Swal.fire({
            title: 'Registro Actualizado',
            text: 'Su información sobre su Procedencia ha sido actualizada',
            icon: 'success',
            confirmButtonText: 'Aceptar'
        })
    }
});